/*
 File: la_lrk_T.h
 Date and Time: Fri Jan 30 18:55:14 2015 
*/
#ifndef __la_lrk_T_h__
#define __la_lrk_T_h__ 1
#include "yacco2.h"
#include "yacco2_T_enumeration.h"
#include "yacco2_k_symbols.h"
#include "yacco2_err_symbols.h"
#include "yacco2_terminals.h"
#include "yacco2_characters.h"
extern yacco2::Thread_entry ITH_la_lrk_T;

extern yacco2::State S1_Cla_lrk_T;
namespace NS_la_lrk_T {
yacco2::THR _YACCO2_CALL_TYPE
TH_la_lrk_T(yacco2::Parser* Caller);// called thread
yacco2::THR_result _YACCO2_CALL_TYPE
PROC_TH_la_lrk_T(yacco2::Parser* Caller);// called thread's twin the procedure
using namespace NS_yacco2_T_enum;// enumerate
using namespace yacco2;
struct fsm_rules_reuse_table_type{
 fsm_rules_reuse_table_type();
 int no_rules_entries_;
 Per_rule_s_reuse_table* per_rule_s_table_[1];
};
class Cla_lrk_T: public yacco2::CAbs_fsm {
 public:
  enum rules_and_subrules{
   start_of_rule_list = NS_yacco2_T_enum::T_Enum::sum_total_T
   ,R_Rla_lrk_T_ = 569//start_of_rule_list + 0
    ,rhs1_Rla_lrk_T_ = 1
    ,rhs2_Rla_lrk_T_ = 2
    ,rhs3_Rla_lrk_T_ = 3
    ,rhs4_Rla_lrk_T_ = 4
    ,rhs5_Rla_lrk_T_ = 5
    ,rhs6_Rla_lrk_T_ = 6
    ,rhs7_Rla_lrk_T_ = 7
    ,rhs8_Rla_lrk_T_ = 8
    ,rhs9_Rla_lrk_T_ = 9
    ,rhs10_Rla_lrk_T_ = 10
    ,rhs11_Rla_lrk_T_ = 11
    ,rhs12_Rla_lrk_T_ = 12
    ,rhs13_Rla_lrk_T_ = 13
    ,rhs14_Rla_lrk_T_ = 14
    ,rhs15_Rla_lrk_T_ = 15
  };
  //no of la sets = 1
  //no of states = 46
  Cla_lrk_T();
  ~Cla_lrk_T();
  void op();
  bool failed();
  void reduce_rhs_of_rule
      (yacco2::UINT Sub_rule_no,yacco2::Rule_s_reuse_entry** Recycled_rule);
  fsm_rules_reuse_table_type fsm_rules_reuse_table;
  static int rhs_to_rules_mapping_[16];
 };
struct Rla_lrk_T;
struct Rla_lrk_T:public yacco2::CAbs_lr1_sym {
  Rla_lrk_T(yacco2::Parser* P);
  public:
  void sr1();
  void sr2();
  void sr3();
  void sr4();
  void sr5();
  void sr6();
  void sr7();
  void sr8();
  void sr9();
  void sr10();
  void sr11();
  void sr12();
  void sr13();
  void sr14();
  void sr15();
};

} // end of namespace

#endif
